; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "Metalink Editor"
!define PRODUCT_VERSION "1.1.0"
!define PRODUCT_PUBLISHER "Hampus Wessman"
!define PRODUCT_WEB_SITE "http://hampus.vox.nu/metalink/"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\metalink_editor.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"
!define PRODUCT_STARTMENU_REGVAL "NSIS:StartMenuDir"

SetCompressor lzma

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; License page
!insertmacro MUI_PAGE_LICENSE "license.txt"
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Start menu page
var ICONS_GROUP
!define MUI_STARTMENUPAGE_NODISABLE
!define MUI_STARTMENUPAGE_DEFAULTFOLDER "Metalink Editor"
!define MUI_STARTMENUPAGE_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_STARTMENUPAGE_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "${PRODUCT_STARTMENU_REGVAL}"
!insertmacro MUI_PAGE_STARTMENU Application $ICONS_GROUP
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_RUN "$INSTDIR\metalink_editor.exe"
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"

; Reserve files
!insertmacro MUI_RESERVEFILE_INSTALLOPTIONS

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "files\metalink_editor-${PRODUCT_VERSION}.exe"
InstallDir "$PROGRAMFILES\Metalink Editor"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails show
ShowUnInstDetails show

Section "MainSection" SEC01
  SetOutPath "$INSTDIR"
  SetOverwrite try
  File "E:\Programmering\Hampus\python\metalink\dist\wxmsw26uh_vc.dll"
  File "E:\Programmering\Hampus\python\metalink\dist\w9xpopen.exe"
  File "E:\Programmering\Hampus\python\metalink\dist\unicodedata.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\readme.txt"
  File "E:\Programmering\Hampus\python\metalink\dist\python25.dll"
  File "E:\Programmering\Hampus\python\metalink\dist\pyexpat.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\MSVCR71.dll"
  File "E:\Programmering\Hampus\python\metalink\dist\metalink_small.png"
  File "E:\Programmering\Hampus\python\metalink\dist\metalink_small.ico"
  File "E:\Programmering\Hampus\python\metalink\dist\metalink_editor.exe"
  File "E:\Programmering\Hampus\python\metalink\dist\metalink.png"
  File "E:\Programmering\Hampus\python\metalink\dist\license.txt"
  File "E:\Programmering\Hampus\python\metalink\dist\library.zip"
  File "E:\Programmering\Hampus\python\metalink\dist\changelog.txt"
  File "E:\Programmering\Hampus\python\metalink\dist\bz2.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\_windows_.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\_ssl.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\_socket.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\_misc_.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\_hashlib.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\_gdi_.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\_core_.pyd"
  File "E:\Programmering\Hampus\python\metalink\dist\_controls_.pyd"

; Shortcuts
  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
  CreateDirectory "$SMPROGRAMS\$ICONS_GROUP"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Metalink Editor.lnk" "$INSTDIR\metalink_editor.exe"
  CreateShortCut "$DESKTOP\Metalink Editor.lnk" "$INSTDIR\metalink_editor.exe"
  !insertmacro MUI_STARTMENU_WRITE_END
SectionEnd

Section -AdditionalIcons
  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Uninstall.lnk" "$INSTDIR\uninst.exe"
  !insertmacro MUI_STARTMENU_WRITE_END
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$INSTDIR\metalink_editor.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\metalink_editor.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) was successfully removed from your computer."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to completely remove $(^Name) and all of its components?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  !insertmacro MUI_STARTMENU_GETFOLDER "Application" $ICONS_GROUP
  Delete "$INSTDIR\uninst.exe"
  Delete "$INSTDIR\_controls_.pyd"
  Delete "$INSTDIR\_core_.pyd"
  Delete "$INSTDIR\_gdi_.pyd"
  Delete "$INSTDIR\_hashlib.pyd"
  Delete "$INSTDIR\_misc_.pyd"
  Delete "$INSTDIR\_socket.pyd"
  Delete "$INSTDIR\_ssl.pyd"
  Delete "$INSTDIR\_windows_.pyd"
  Delete "$INSTDIR\bz2.pyd"
  Delete "$INSTDIR\changelog.txt"
  Delete "$INSTDIR\library.zip"
  Delete "$INSTDIR\license.txt"
  Delete "$INSTDIR\metalink.png"
  Delete "$INSTDIR\metalink_editor.exe"
  Delete "$INSTDIR\metalink_small.ico"
  Delete "$INSTDIR\metalink_small.png"
  Delete "$INSTDIR\MSVCR71.dll"
  Delete "$INSTDIR\pyexpat.pyd"
  Delete "$INSTDIR\python25.dll"
  Delete "$INSTDIR\readme.txt"
  Delete "$INSTDIR\unicodedata.pyd"
  Delete "$INSTDIR\w9xpopen.exe"
  Delete "$INSTDIR\wxmsw26uh_vc.dll"

  Delete "$SMPROGRAMS\$ICONS_GROUP\Uninstall.lnk"
  Delete "$DESKTOP\Metalink Editor.lnk"
  Delete "$SMPROGRAMS\$ICONS_GROUP\Metalink Editor.lnk"

  RMDir "$SMPROGRAMS\$ICONS_GROUP"
  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"
  SetAutoClose true
SectionEnd